@echo off

@set OLDPATH=%PATH%

@set PATH=%PATH%;U:\APP\Microchip\PK2CMD

@set MYSELF=%0

@set PROG=pk2cmd.exe

@set PROGPATH=U:\APP\Microchip\PK2CMD\

 

@echo:

@echo -------------------------------------

@echo ^| Pickit2 wrapper (c) H. Rueter 2023 ^|

@echo -------------------------------------

@echo:

@echo using commandline : %*

@echo:

@echo Shift and assign parameters for call off "%PROG%"

@echo:

 

@set MEMMAX="%1"

@shift

@set PARAM1="%1"

@shift

@set PARAM2="%1"

@shift

@set PARAM3="%1"

@shift

@set PARAM2=%PARAM2:~1,-1%

@set PARAM3=%PARAM3:~1,-1%

@set HEXFILE="%PARAM2%\%PARAM3%"

 

@echo ---------------------

@echo ^| Start Programming ^|

@echo ---------------------

@echo:

 

@%PROGPATH%%PROG% %PARAM1% %HEXFILE% %1 %2 %3 %4 %5 %6 %7 %8 %9

 

if errorlevel 39 echo "ERRORMSG: Error opening or loading a specified hexfile (-f...)." & goto ERROR

if errorlevel 37 echo "ERRORMSG: A part autodetect operation failed to find a known part."

if errorlevel 36 echo "ERRORMSG: A syntax error in a command line argument was detected, an invalid combination of operations was entered, an invalid value was entered, or a memory region was selected that is not supported by the current device."

if errorlevel 34 echo "ERRORMSG: program or verify operation failed" && goto ERROR

if errorlevel 28 echo "ERRORMSG: firmware upgrade failed" & goto ERROR

if errorlevel 24 echo "ERRORMSG: The PK2CMD executable cannot find the device file PK2DeviceFile.dat or the device file" & goto ERROR

if errorlevel 15 echo "ERRORMSG: A file specified for reading to (-gf...) cannot be opened for writing." & goto ERROR

if errorlevel 11 echo "ERRORMSG: OS firmware must be updated before being used with this version of PK2CMD." & goto ERROR

if errorlevel 10 echo "ERRORMSG: No programmer found" & goto ERROR

if errorlevel  7 echo "ERRORMSG: Returned if an operation fails and a more specific error does not exist." & goto ERROR

if errorlevel  5 echo "ERRORMSG: Voltage error." & goto ERROR

if errorlevel  1 "ERRORMSG: Unknown error %ERRORLEVEL%" & goto ERROR

 

@echo:

@echo --------------------

@echo ^| Programming done ^|

@echo --------------------

 

@echo:

@echo:

@echo -----------------

@echo ^| Check hexcode ^|

@echo -----------------

@echo:

 

@%PROGPATH%%PROG% -pPIC10F202  -A4.5 -GP0x000-%MEMMAX% -GI -GC

GOTO END

 

:ERROR

@echo:

@echo ----------------------

@echo ^| Programming FAILED ^|

@echo ----------------------

:END

@echo:

@echo ----------

@echo ^| Finish ^|

@echo ----------

@echo:

@echo:

@set PATH=%OLDPATH%

Fraport AG Frankfurt Airport Services Worldwide, 60547 Frankfurt am Main, Sitz der Gesellschaft: Frankfurt am Main, Amtsgericht Frankfurt am Main: HRB 7042, Umsatzsteuer-Identifikationsnummer: DE 114150623, Vorsitzender des Aufsichtsrates: Michael Boddenberg – Hessischer Minister der Finanzen; Vorstand: Dr. Stefan Schulte (Vorsitzender), Anke Giesen, Julia Kranenberg, Dr. Pierre Dominique Prümm, Prof. Dr. Matthias Zieschang
